> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit API Token Application

> Request an api token for organization



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/integrations/submitApiTokenApplication
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/integrations/submitApiTokenApplication:
    post:
      tags:
        - Integrations Webservice
      summary: Submit API Token Application
      description: Request an api token for organization
      operationId: submitApiTokenApplicationDep
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Integration_SubmitApiTokenApplicationWSRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Integration_SubmitApiTokenApplicationWSResponse
          description: OK
      deprecated: true
components:
  schemas:
    Integration_SubmitApiTokenApplicationWSRequest:
      type: object
      description: Request object for submitting an API token application.
      properties:
        authType:
          $ref: '#/components/schemas/ApiTokenAuthTypeEnum'
        csr:
          type: string
          description: Certificate Signing Request (CSR) for token authentication
          example: '-----BEGIN CERTIFICATE REQUEST-----...'
          nullable: true
        displayName:
          type: string
          description: Display name for the API token
          example: Production API Token
          nullable: true
        permissionGroupUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
      required:
        - permissionGroupUuid
    Integration_SubmitApiTokenApplicationWSResponse:
      type: object
      properties:
        apiKey:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        cert:
          type: string
          nullable: true
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        validCSR:
          type: boolean
          nullable: true
        warningMsg:
          type: string
          nullable: true
    ApiTokenAuthTypeEnum:
      type: string
      description: Authentication type for the API token
      enum:
        - API_TOKEN
        - CERT
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````